"""OAuth data types."""

from typing import TypedDict

from typing_extensions import NotRequired


class OAuthToken(TypedDict):
    """Contents of an OAuth2 token response."""

    access_token: str
    id_token: str
    refresh_token: NotRequired[str]
    expires_at: int
    scope: str


class AuthJWT(TypedDict):
    """User and project token."""

    sub: str
    preferred_username: str
    proj_name: str
    proj_exp: int
    proj: str
